• Welcome to Simple Machines Community Forum. Please login or sign up.
January 27, 2022, 11:08:24 PM

News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord


Stop Spammer

Started by M-DVD, December 31, 2008, 07:31:43 AM

Previous topic - Next topic

snoopy_virtual

@LeYoyo

That's a known bug we have in this mod.

We have been working on it and hopefully will be sorted in the next update.

El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

LeYoyo

ok. So I will wait :)

Thanks
Sous SMF 2.0.8

Angie on Dialysis

Wow I have only had that problem if I go to ban the user before I "disapprove" him.. Yet on another forum I help out on they use the same mod and that doesn't cause any issues there. So I just assumed it was the theme I am using .. perhaps some conflict .. dunno.   Glad to hear that it is a known issue as I thought it was just me. Can't wait til the next update! I will click "Notify me of updates"on the mod page so I will get notified of the update. That is how it works right?

snoopy_virtual

Yes Angie, that's exactly how it works.

Every time I do and update I also talk about it in a few places (as for example here in this topic, in my own forum, etc) but the best way to be up-to-date is if you have the "Notify me of updates" activated in all the mods you are using.

El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

gordo

I have just installed the mod , checked all the files three times and edits were made OK, but the mod doesn't appear to work, I just registered a known spammer details as a test, it said the user was registered.

Another problem I seem to have that when one genuine user does register, their details are not saved into SMF nothing can be found about them.

I have just turned the mod off to see what happens

grimes

Got following error with StopSpammer v2.3.9:

hxxp:www.abload.de/image.php?img=2011-02-1215-08-20_pakvmdd.png [nonactive]
(because link nonactive: parse error with replaced languages.xml (german version))


when doing this:

1.- UnZip these 3 files
2.- Download the mod "StopSpammer_v2_3_7.zip"
3.- Zip the files:
      "languages.xml"
      "readme.txt"
   into "StopSpammer_v2_3_7.zip" replacing existing ones
4.- Install the mod in your SMF forum as normal

fr3aker

try creating a new zip archive instead of replacing the files while keeping the original zip file. This sometimes causes 0 byte files when unzipping.

spiros

Installed it on 2RC2 but could not find the these 2 strings to replace in subs.php

'validation_code' => $validation_code,

mem.id_member, mem.member_name, mem.real_name, mem.email_address, mem.icq, mem.aim, mem.yim, mem.msn, mem.member_ip, mem.member_ip2, mem.last_login,

Wizzlefits

Look in "Subs-Members.php" not Subs.php ;)

Arantor

Why are you using a version with multiple known security vulnerabilities (2.0 RC2 has several)?
No good deed goes unpunished
All helpful urges should be circumvented

spiros

Because of the hassle of applying a number of custom mods and hacks for every new (sub)version. For example I need much longer subject text. You think I should upgrade?

Arantor

Yes, I do. I can think of 5 vulnerabilities off the top of my head, not to mention bug fixes.
No good deed goes unpunished
All helpful urges should be circumvented

spiros

OK, thanks for the advice, Arantor. Thanks to Wizzlefits too :)

Wizzlefits

Quote from: Arantor on February 12, 2011, 07:04:08 PM
Yes, I do. I can think of 5 vulnerabilities off the top of my head, not to mention bug fixes.
LOL!
Only 5! ;)

The upgrade doesn't effect mods or themes. Just use the "Small update" and you'll be good to go.

spiros

But the small update is only for those using SMF 2.0 RC4 and I use SMF 2.0 RC2. Correct me if I am wrong.

Arantor

QuoteThe upgrade doesn't effect mods or themes. Just use the "Small update" and you'll be good to go.

The RC4 security patch ONLY doesn't affect mods or themes. And that's only a partial update from RC4. We're talking about vulnerabilities in RC2 and RC3 that need to be patched - which does require a full upgrade since it's not from RC4.

And actually, small update does actually modify templates and source files (which will uninstall mods)
No good deed goes unpunished
All helpful urges should be circumvented

Wizzlefits

My bad!
Didn't notice the "RC2".
So you're absolutely right Arantor, he will require a full upgrade.

As for being a pain to redo ones mods and hacks...one must remember.. it's a Release Candidate, which is just a fancy way of saying Beta. ;)

iwords

Installing the latest version of this mod in a completely fresh install of SMF 1.1.13, I get the following in the Forum Error Log:-

http://localhost/index.php?action=regcenter;sa=settings [nofollow]
8: Undefined index: stopspammer_faildb_sub
File: D:\Inetpub\wwwroot\Themes\default\Register.template.php (admin_settings sub template - eval?)
Line: 529

This is using the default theme with no other mods installed.

Searching through the language files, there doesn't appear to be a 'stopspammer_faildb_sub' defined anywhere, only 'stopspammer_faildb1_sub' and 'stopspammer_faildb2_sub'.

sharingsunshine

Hello,

I have SMF 1.1.12 that now has Stop Spammer 2.3.9.  I used to have 2.3 and now have noticed the need to add my API key.  However, when I go to Admin --> Members --> Registration --> Settings I don't see any place to put the API key.  I am using a copy of the default theme and the Mod settings show green lettering that my host can connect.

I have my own API key and I want to get this installed to report the spammers that are posting on our forum.  Any help will be appreciated.

Thanks,

Randal
"The Herbs Place" for People and Pets
Supplements, Herbs, Pet Foods, and More!
http://www.theherbsplace.com

sharingsunshine

Hello,

There is a new wrinkle.  After removing 2.3 and installing 2.3.9 I had no checks via the package manager.  After the mod was installed I kept getting a fatal error when I would try the members link in the members heading tab in the admin section.  This is the error:

Fatal error: Cannot redeclare sprintfspamer() (previously declared in /home/user1/public_html/smf/Sources/StopSpammer.php:142) in /home/user1/public_html/smf/Sources/Load.php(1733) : eval()'d code on line 528


Currently, to avoid the error we had to comment out function sprintfspamer

I know that isn't the long term solution.  That is why I wanted to get the answer to fix the problem permanently.

Thanks,

Randal

"The Herbs Place" for People and Pets
Supplements, Herbs, Pet Foods, and More!
http://www.theherbsplace.com

Advertisement: